<?php
require_once("dbcontroller.php");

class cardPayment
{
    public function makeCardTransaction($sessionData, $postData)
    {
       // file_put_contents('log.txt', $postData["fname"]);

        $db_handle = new DBController();
        $getQuery = "SELECT * FROM api_details ORDER BY id ASC";
        $dbApiData = $db_handle->getApiDetails($getQuery);

        $item_price = 0;
        $total_quantity = 0;
        $total_price = 0;
        $Sell_reference_number = uniqid('s', true);

        foreach (json_decode($sessionData, true) as $item) {
            $item_price = $item["quantity"] * $item["price"];

            $total_quantity += $item["quantity"];
            $total_price += ($item["price"] * $item["quantity"]);
        }


        $fname = "";
        $lname = "";
        $email = "";
        $amount = "";
        $phone = "";

        $fname = $postData["fname"];
        $lname = $postData["lname"];
        $email = $postData["email"];
        $phone = $postData["phone"];
        $transaction_reference = uniqid('d', true);
        $order_code = uniqid('o', true);




        $bodyData = "{\r\n  \"transactionName\": \"ecommmerce\",\r\n  \"amount\": %s,\r\n  \"currency\": \"%s\",\r\n  \"transactionReference\": \"%s\",\r\n  \"customerFirstName\": \"%s\",\r\n  \"customerLastName\": \"%s\",\r\n  \"customerEmail\": \"%s\",\r\n  \"customerPhone\": \"%s\",\r\n  \"merchantPublicKey\": \"%s\"\r\n}";
        $finalBodyData = sprintf($bodyData, $total_price, $dbApiData[0]["currency"], $transaction_reference, $fname, $lname, $email, $phone,$dbApiData[0]["public_key"]);
        file_put_contents('log.txt', $finalBodyData);

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://checkout.sparco.io/gateway/api/v1/checkout",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $finalBodyData,
            CURLOPT_HTTPHEADER => array(
                "Content-Type: application/json"
            ),
        ));

        $response = curl_exec($curl);
        $json_response = json_decode($response, true);

        curl_close($curl);
        // file_put_contents('log.txt', "card called");
        // file_put_contents('log.txt', $response);
        //echo $json_response['paymentUrl'];
        if($json_response['isError']==false){
            $query = "INSERT INTO `transaction_details` (`cfname`, `clname`, `cemail`, `cphone`, `transaction_amount`, `order_code`, `transaction_reference`, `transaction_status`, `order_details`)
 VALUES ('$fname', '$lname', '$email'  , '$phone', '$total_price', '$order_code', '$transaction_reference', 'pending', '$sessionData');";
            $db_handle->insertCustomerDetails($query);
            header("Location:" . $json_response['paymentUrl'], false, 301);
            exit();
        }else{
            echo "failed transaction";
        }



    }

}
