/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'fontx\'">' + entity + '</span>' + html;
	}
	var icons = {
		'fx-activity': '&#xe900;',
		'fx-airplay': '&#xe901;',
		'fx-alert-circle': '&#xe902;',
		'fx-alert-octagon': '&#xe903;',
		'fx-alert-triangle': '&#xe904;',
		'fx-align-center': '&#xe905;',
		'fx-align-justify': '&#xe906;',
		'fx-align-left': '&#xe907;',
		'fx-align-right': '&#xe908;',
		'fx-anchor': '&#xe909;',
		'fx-aperture': '&#xe90a;',
		'fx-archive': '&#xe90b;',
		'fx-arrow-down': '&#xe90c;',
		'fx-arrow-down-circle': '&#xe90d;',
		'fx-arrow-down-left': '&#xe90e;',
		'fx-arrow-down-right': '&#xe90f;',
		'fx-arrow-left': '&#xe910;',
		'fx-arrow-left-circle': '&#xe911;',
		'fx-arrow-right': '&#xe912;',
		'fx-arrow-right-circle': '&#xe913;',
		'fx-arrow-up': '&#xe914;',
		'fx-arrow-up-circle': '&#xe915;',
		'fx-arrow-up-left': '&#xe916;',
		'fx-arrow-up-right': '&#xe917;',
		'fx-at-sign': '&#xe918;',
		'fx-award': '&#xe919;',
		'fx-bar-chart': '&#xe91a;',
		'fx-bar-chart-2': '&#xe91b;',
		'fx-battery': '&#xe91c;',
		'fx-battery-charging': '&#xe91d;',
		'fx-bell': '&#xe91e;',
		'fx-bell-off': '&#xe91f;',
		'fx-bluetooth': '&#xe920;',
		'fx-bold': '&#xe921;',
		'fx-book': '&#xe922;',
		'fx-book-open': '&#xe923;',
		'fx-bookmark': '&#xe924;',
		'fx-box': '&#xe925;',
		'fx-briefcase': '&#xe926;',
		'fx-calendar': '&#xe927;',
		'fx-camera': '&#xe928;',
		'fx-camera-off': '&#xe929;',
		'fx-cast': '&#xe92a;',
		'fx-check': '&#xe92b;',
		'fx-check-circle': '&#xe92c;',
		'fx-check-square': '&#xe92d;',
		'fx-chevron-down': '&#xe92e;',
		'fx-chevron-left': '&#xe92f;',
		'fx-chevron-right': '&#xe930;',
		'fx-chevron-up': '&#xe931;',
		'fx-chevrons-down': '&#xe932;',
		'fx-chevrons-left': '&#xe933;',
		'fx-chevrons-right': '&#xe934;',
		'fx-chevrons-up': '&#xe935;',
		'fx-chrome': '&#xe936;',
		'fx-circle': '&#xe937;',
		'fx-clipboard': '&#xe938;',
		'fx-clock': '&#xe939;',
		'fx-cloud': '&#xe93a;',
		'fx-cloud-drizzle': '&#xe93b;',
		'fx-cloud-lightning': '&#xe93c;',
		'fx-cloud-off': '&#xe93d;',
		'fx-cloud-rain': '&#xe93e;',
		'fx-cloud-snow': '&#xe93f;',
		'fx-code': '&#xe940;',
		'fx-codepen': '&#xe941;',
		'fx-codesandbox': '&#xe942;',
		'fx-coffee': '&#xe943;',
		'fx-columns': '&#xe944;',
		'fx-command': '&#xe945;',
		'fx-compass': '&#xe946;',
		'fx-copy': '&#xe947;',
		'fx-corner-down-left': '&#xe948;',
		'fx-corner-down-right': '&#xe949;',
		'fx-corner-left-down': '&#xe94a;',
		'fx-corner-left-up': '&#xe94b;',
		'fx-corner-right-down': '&#xe94c;',
		'fx-corner-right-up': '&#xe94d;',
		'fx-corner-up-left': '&#xe94e;',
		'fx-corner-up-right': '&#xe94f;',
		'fx-cpu': '&#xe950;',
		'fx-credit-card': '&#xe951;',
		'fx-crop': '&#xe952;',
		'fx-crosshair': '&#xe953;',
		'fx-database': '&#xe954;',
		'fx-delete': '&#xe955;',
		'fx-disc': '&#xe956;',
		'fx-dollar-sign': '&#xe957;',
		'fx-download': '&#xe958;',
		'fx-download-cloud': '&#xe959;',
		'fx-droplet': '&#xe95a;',
		'fx-edit': '&#xe95b;',
		'fx-edit-2': '&#xe95c;',
		'fx-edit-3': '&#xe95d;',
		'fx-external-link': '&#xe95e;',
		'fx-eye': '&#xe95f;',
		'fx-eye-off': '&#xe960;',
		'fx-facebook': '&#xe961;',
		'fx-fast-forward': '&#xe962;',
		'fx-feather': '&#xe963;',
		'fx-figma': '&#xe964;',
		'fx-file': '&#xe965;',
		'fx-file-minus': '&#xe966;',
		'fx-file-plus': '&#xe967;',
		'fx-file-text': '&#xe968;',
		'fx-film': '&#xe969;',
		'fx-filter': '&#xe96a;',
		'fx-flag': '&#xe96b;',
		'fx-folder': '&#xe96c;',
		'fx-folder-minus': '&#xe96d;',
		'fx-folder-plus': '&#xe96e;',
		'fx-framer': '&#xe96f;',
		'fx-frown': '&#xe970;',
		'fx-gift': '&#xe971;',
		'fx-git-branch': '&#xe972;',
		'fx-git-commit': '&#xe973;',
		'fx-git-merge': '&#xe974;',
		'fx-git-pull-request': '&#xe975;',
		'fx-github': '&#xe976;',
		'fx-gitlab': '&#xe977;',
		'fx-globe': '&#xe978;',
		'fx-grid': '&#xe979;',
		'fx-hard-drive': '&#xe97a;',
		'fx-hash': '&#xe97b;',
		'fx-headphones': '&#xe97c;',
		'fx-heart': '&#xe97d;',
		'fx-help-circle': '&#xe97e;',
		'fx-hexagon': '&#xe97f;',
		'fx-home': '&#xe980;',
		'fx-image': '&#xe981;',
		'fx-inbox': '&#xe982;',
		'fx-info': '&#xe983;',
		'fx-instagram': '&#xe984;',
		'fx-italic': '&#xe985;',
		'fx-key': '&#xe986;',
		'fx-layers': '&#xe987;',
		'fx-layout': '&#xe988;',
		'fx-life-buoy': '&#xe989;',
		'fx-link': '&#xe98a;',
		'fx-link-2': '&#xe98b;',
		'fx-linkedin': '&#xe98c;',
		'fx-list': '&#xe98d;',
		'fx-loader': '&#xe98e;',
		'fx-lock': '&#xe98f;',
		'fx-log-in': '&#xe990;',
		'fx-log-out': '&#xe991;',
		'fx-mail': '&#xe992;',
		'fx-map': '&#xe993;',
		'fx-map-pin': '&#xe994;',
		'fx-maximize': '&#xe995;',
		'fx-maximize-2': '&#xe996;',
		'fx-meh': '&#xe997;',
		'fx-menu': '&#xe998;',
		'fx-message-circle': '&#xe999;',
		'fx-message-square': '&#xe99a;',
		'fx-mic': '&#xe99b;',
		'fx-mic-off': '&#xe99c;',
		'fx-minimize': '&#xe99d;',
		'fx-minimize-2': '&#xe99e;',
		'fx-minus': '&#xe99f;',
		'fx-minus-circle': '&#xe9a0;',
		'fx-minus-square': '&#xe9a1;',
		'fx-monitor': '&#xe9a2;',
		'fx-moon': '&#xe9a3;',
		'fx-more-horizontal': '&#xe9a4;',
		'fx-more-vertical': '&#xe9a5;',
		'fx-mouse-pointer': '&#xe9a6;',
		'fx-move': '&#xe9a7;',
		'fx-music': '&#xe9a8;',
		'fx-navigation': '&#xe9a9;',
		'fx-navigation-2': '&#xe9aa;',
		'fx-octagon': '&#xe9ab;',
		'fx-package': '&#xe9ac;',
		'fx-paperclip': '&#xe9ad;',
		'fx-pause': '&#xe9ae;',
		'fx-pause-circle': '&#xe9af;',
		'fx-pen-tool': '&#xe9b0;',
		'fx-percent': '&#xe9b1;',
		'fx-phone': '&#xe9b2;',
		'fx-phone-call': '&#xe9b3;',
		'fx-phone-forwarded': '&#xe9b4;',
		'fx-phone-incoming': '&#xe9b5;',
		'fx-phone-missed': '&#xe9b6;',
		'fx-phone-off': '&#xe9b7;',
		'fx-phone-outgoing': '&#xe9b8;',
		'fx-pie-chart': '&#xe9b9;',
		'fx-play': '&#xe9ba;',
		'fx-play-circle': '&#xe9bb;',
		'fx-plus': '&#xe9bc;',
		'fx-plus-circle': '&#xe9bd;',
		'fx-plus-square': '&#xe9be;',
		'fx-pocket': '&#xe9bf;',
		'fx-power': '&#xe9c0;',
		'fx-printer': '&#xe9c1;',
		'fx-radio': '&#xe9c2;',
		'fx-refresh-ccw': '&#xe9c3;',
		'fx-refresh-cw': '&#xe9c4;',
		'fx-repeat': '&#xe9c5;',
		'fx-rewind': '&#xe9c6;',
		'fx-rotate-ccw': '&#xe9c7;',
		'fx-rotate-cw': '&#xe9c8;',
		'fx-rss': '&#xe9c9;',
		'fx-save': '&#xe9ca;',
		'fx-scissors': '&#xe9cb;',
		'fx-search': '&#xe9cc;',
		'fx-send': '&#xe9cd;',
		'fx-server': '&#xe9ce;',
		'fx-settings': '&#xe9cf;',
		'fx-share': '&#xe9d0;',
		'fx-share-2': '&#xe9d1;',
		'fx-shield': '&#xe9d2;',
		'fx-shield-off': '&#xe9d3;',
		'fx-shopping-bag': '&#xe9d4;',
		'fx-shopping-cart': '&#xe9d5;',
		'fx-shuffle': '&#xe9d6;',
		'fx-sidebar': '&#xe9d7;',
		'fx-skip-back': '&#xe9d8;',
		'fx-skip-forward': '&#xe9d9;',
		'fx-slack': '&#xe9da;',
		'fx-slash': '&#xe9db;',
		'fx-sliders': '&#xe9dc;',
		'fx-smartphone': '&#xe9dd;',
		'fx-smile': '&#xe9de;',
		'fx-speaker': '&#xe9df;',
		'fx-square': '&#xe9e0;',
		'fx-star': '&#xe9e1;',
		'fx-stop-circle': '&#xe9e2;',
		'fx-sun': '&#xe9e3;',
		'fx-sunrise': '&#xe9e4;',
		'fx-sunset': '&#xe9e5;',
		'fx-tablet': '&#xe9e6;',
		'fx-tag': '&#xe9e7;',
		'fx-target': '&#xe9e8;',
		'fx-terminal': '&#xe9e9;',
		'fx-thermometer': '&#xe9ea;',
		'fx-thumbs-down': '&#xe9eb;',
		'fx-thumbs-up': '&#xe9ec;',
		'fx-toggle-left': '&#xe9ed;',
		'fx-toggle-right': '&#xe9ee;',
		'fx-tool': '&#xe9ef;',
		'fx-trash': '&#xe9f0;',
		'fx-trash-2': '&#xe9f1;',
		'fx-trello': '&#xe9f2;',
		'fx-trending-down': '&#xe9f3;',
		'fx-trending-up': '&#xe9f4;',
		'fx-triangle': '&#xe9f5;',
		'fx-truck': '&#xe9f6;',
		'fx-tv': '&#xe9f7;',
		'fx-twitch': '&#xe9f8;',
		'fx-twitter': '&#xe9f9;',
		'fx-type': '&#xe9fa;',
		'fx-umbrella': '&#xe9fb;',
		'fx-underline': '&#xe9fc;',
		'fx-unlock': '&#xe9fd;',
		'fx-upload': '&#xe9fe;',
		'fx-upload-cloud': '&#xe9ff;',
		'fx-user': '&#xea00;',
		'fx-user-check': '&#xea01;',
		'fx-user-minus': '&#xea02;',
		'fx-user-plus': '&#xea03;',
		'fx-user-x': '&#xea04;',
		'fx-users': '&#xea05;',
		'fx-video': '&#xea06;',
		'fx-video-off': '&#xea07;',
		'fx-voicemail': '&#xea08;',
		'fx-volume': '&#xea09;',
		'fx-volume-1': '&#xea0a;',
		'fx-volume-2': '&#xea0b;',
		'fx-volume-x': '&#xea0c;',
		'fx-watch': '&#xea0d;',
		'fx-wifi': '&#xea0e;',
		'fx-wifi-off': '&#xea0f;',
		'fx-wind': '&#xea10;',
		'fx-x': '&#xea11;',
		'fx-x-circle': '&#xea12;',
		'fx-x-octagon': '&#xea13;',
		'fx-x-square': '&#xea14;',
		'fx-youtube': '&#xea15;',
		'fx-zap': '&#xea16;',
		'fx-zap-off': '&#xea17;',
		'fx-zoom-in': '&#xea18;',
		'fx-zoom-out': '&#xea19;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/fx-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
