<?php
require_once("dbcontroller.php");


class momoPayment
{
    public function makeMomoTransaction($postData)
    {

        //  file_put_contents('log.txt', $sessionData);
        //  file_put_contents('log.txt', json_encode($postData));
        $db_handle = new DBController();
        $getQuery = "SELECT * FROM api_details ORDER BY id ASC";
        $dbApiData = $db_handle->getApiDetails($getQuery);
    //    print_r($dbApiData[0]["public_key"]);
    //     exit();
 
        
        $Sell_reference_number = uniqid('s', true);
 
        $total_price = "";
        $fname = "";
        $lname = "";
        $email = "";
        $amount = "";
        $phone = "";

        $total_price = $postData['amount'];
        $fname = $postData['fname'];
       // echo $fname;
       // exit();
        $lname = $postData['lname'];
        $email = $postData['email'];
        $phone = $postData['phone'];
        $transaction_reference = uniqid('d', true);
        $order_code = uniqid('o', true);




        $payload = [
            'amount' => $total_price,
            'currency' => $dbApiData[0]["currency"],
            'customerEmail' => $email,
            'customerFirstName' => $fname,
            'customerLastName' => $lname,
            'customerPhone' => $phone,
            'merchantPublicKey' => $dbApiData[0]["public_key"],
            'transactionName' => "Store item sold",
            'transactionReference' => $transaction_reference,
            'wallet' => $phone,
            'chargeMe' => false
        ];
        $key = $dbApiData[0]["private_key"];

        $header = [
            'typ' => 'JWT',
            'alg' => 'HS256'
        ];

        $header = json_encode($header);
        $header = base64_encode($header);

        $payload = json_encode($payload);
        $payload = base64_encode($payload);

        $signature = hash_hmac('sha256', "{$header}.{$payload}", $key, true);
        $signature = base64_encode($signature);

        $token = "{$header}.{$payload}.{$signature}";

        //echo $token;
        $final_token = sprintf("{\n\"payload\":\"%s\"\n}", $token);


        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://live.sparco.io/gateway/api/v1/momo/debit",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $final_token,
            CURLOPT_HTTPHEADER => array(
                "X-PUB-KEY: 212e265248254fb0ac27c8d18d6198ab",
                "Content-Type: application/json"
				
            ),
        ));



        $response = curl_exec($curl);
        $json_response = json_decode($response, true);

        curl_close($curl);

        echo $response;
       //echo $json_response;
		 
       // $cartObject = $postData["orderDetails"];

        if($json_response['isError']==false){
            $query = "INSERT INTO `transaction_details` (`cfname`, `clname`, `cemail`, `cphone`, `transaction_amount`, `order_code`, `transaction_reference`, `transaction_status`)
 VALUES ('$fname', '$lname', '$email'  , '$phone', '$total_price', '$order_code', '$transaction_reference', 'pending');";
            $db_handle->insertCustomerDetails($query);
        }else{
            echo "failed transaction";
        }

    }

}

$momoHandle = new momoPayment();
$momoHandle->makeMomoTransaction($_POST);